/* -------------------------------------
            PROJET
---------------------------------------- */

main {
  padding-top: 0;
  padding-bottom: 1.5rem;
}

h1 {
  color: var(--primary-color);
  font-size: 7rem;
}

h3 {
  margin-bottom: 1rem;
}

.flex {
  display: flex;
}

footer {
  display: none;
}



/* Structure */

.project-description {
  margin-bottom: 5rem;
}




/* Header */

.project-header {
  position: relative;
  overflow: hidden;
  height: calc(100vh - 7.5rem);
  margin-bottom: 3rem;
}

.project-header img {
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    height: 100%;
}

.project-header .project-title {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.bouton-retour {
  display: none;
  text-transform: lowercase;
  font-size: 0.8rem;
  z-index: 9;
  align-items: center;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border-radius: 0.75rem;
  padding: 0rem 0.7rem;
  height: 1.5rem;
  position: absolute;
  top: 0;
  left: 0;
  transform: translateY(-50%);
}

.bouton-retour span {
  margin-left: .5rem;
}


/* Calendrier */

.project-calendar {
  margin-top: 5rem;
  display: none;
}

.project-calendar table {
  font-size: .8rem;
}

.project-calendar table td,
.project-calendar table th {
  padding: 0.3rem .75rem;
}

.project-calendar table td:first-child,
.project-calendar table th:first-child {
  padding-left: 0;
}

.project-calendar table td:last-child,
.project-calendar table th:last-child {
  padding-right: 0;
}




/* --------------- ANIMATION ---------------- */

/* DVD */

.child-of-creations .project-header h1 {
  display: block;
  position: absolute;
  animation: moveX 3s linear 0s infinite alternate, moveY 4s linear 0s infinite alternate;
  white-space: nowrap;
  line-height: 1;
}

@keyframes moveX {
  from { left: 0; } to { left: 100%; }
}
@keyframes moveY {
  from { top: 0; } to { top: 100%; }
}

/* VAGUES */
/*.project-header .project-title h1 { margin-top: 2rem; }*/

.child-of-commandes .project-header h1 {
  white-space: nowrap;
  position: absolute;
  left: 50%;
  top: 50%;
  animation: floatX 3s ease-in-out 0s infinite alternate, floatY 4s ease-in-out 0s infinite alternate;
  transform: translate(-50%, -50%);
  opacity: 0;
}

@keyframes floatX {
  from { left: 45%; } to { left: 55%; }
}
@keyframes floatY {
  from { top: 25%; } to { top: 75%; }
}

.child-of-commandes .project-header .project-title h1 span {
  display: inline-block;
  animation-duration: 1s;
  animation-name: wave;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
}

@keyframes wave {
  from { transform: translateY(0); }
  to { transform: translateY(-3rem); }
}








@media (max-width: 790px) {

  .bouton-retour {
    display: flex;
  }

  .project-header {
    height: calc(100vw - 3rem);
  }

  .project-header .project-title {
    right: auto !important;
    bottom: auto !important;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-end;
    padding: 1.5rem;
    text-align: left;
  }

  .project-title::after {
    content: ' ';
    background: linear-gradient(0deg, #000 0%, #0000 100%);
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 50%;
  }

  .child-of-creations .project-header h1,
  .child-of-commandes .project-header h1 {
    animation: none;
    font-size: 2.5rem;
    position: unset;
    white-space: normal;
    z-index: 9;
    text-align: left;
    margin: 0;
    transform: none;
    opacity: 1;
  }

  .child-of-commandes .project-header h1 span {
    animation: none !important;
  }

  .project-credits .column:not(:last-child) {
    margin-bottom: 1.5rem;
  }



}
